import { _decorator, Component, director, instantiate, Node, Prefab } from 'cc';
import { app } from './App';
import { Env, JNGame } from '../../extensions/ngame/assets/ngame/JNGame';
import { JNSyncAction } from '../../extensions/ngame/assets/ngame/sync/JNSyncAction';
import { GOnHookPets } from '../../extensions/ngame/assets/ngame/message/proto';
const { ccclass, property } = _decorator;

@ccclass('Main')
export class Main extends Component {

    @property(Prefab)
    UIPrefab: Prefab = null;

    @property(Prefab)
    WorldPrefab: Prefab = null;

    async onLoad(){

        // 创建UI
        director.getScene().addChild(instantiate(this.UIPrefab));

        //加载 APP
        await JNGame.Init(app);

        //发生帧同步开始
        app.socket.Send(JNSyncAction.NSyncFrameStart);

        // 创建世界
        director.getScene().addChild(instantiate(this.WorldPrefab));

    }

}


