package cn.jisol.game.controller.game;

import cn.jisol.game.controller.argsresolver.CurrentPlayer;
import cn.jisol.game.controller.argsresolver.CurrentUser;
import cn.jisol.game.entity.User;
import cn.jisol.game.entity.game.Player;
import cn.jisol.game.entity.game.PlayerPet;
import cn.jisol.game.service.PlayerPetService;
import cn.jisol.game.service.impl.PlayerServiceImpl;
import cn.jisol.ngame.util.NewsContext;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 玩家宠物
 */
@Api(value = "JNGameDemo - API", tags = {"PET - API"})
@RestController
@RequestMapping("/game/pet")
@ResponseBody
public class GPlayerPetController {

    @Autowired
    PlayerPetService playerPetService;

    //获取玩家宠物列表
    @ApiImplicitParams({})
    @ApiOperation(value = "获取玩家宠物列表")
    @GetMapping("/list")
    public NewsContext<List<PlayerPet>> getPetList(@CurrentPlayer Player player){

        return NewsContext.onSuccess("获取成功",
                playerPetService.list(
                        Wrappers.lambdaQuery(PlayerPet.class).eq(PlayerPet::getPetPlayerId,player.getPlayerId())
                )
        );

    }

}
